from notification.najva.get_segments_detail import get_segments
from notification.najva.send_notif_to_segments import send_notification_to_all_segments
from rest_framework.routers import DefaultRouter
from django.urls import include, path
from . import najva_views,views

router = DefaultRouter()
router.register(r'notification-user', najva_views.NajvaNotificationViewSet, basename="notification-user")
router.register(r'dashboard_notification', views.DashboardNotificationViewSet, basename="dashboard-notification")
# router.register(r'get-segments', get_segments(), basename="get-segments")

urlpatterns = [
    path('', include(router.urls)),
    path('get-segments', get_segments),
    path('all-segments', send_notification_to_all_segments),
]
